mixin diagnosis(data)
    for item, index in data
        .diagnosis.diagnosis_default(class=item.mod)
            .diagnosis__thumb
                if item.state == 'success'
                    .diagnosis__icon.icon.icon_m.icon_success.icon_circle
                        svg
                            use(xlink:href="#icon_check_24")
                else
                    .diagnosis__icon.icon.icon_m.icon_fail.icon_circle
                        svg
                            use(xlink:href="#icon_close_24")
            .diagnosis__body
                .diagnosis__title=item.title
            if item.comment
                .diagnosis__comment=item.comment

mixin diagnosisRange(data)
    for item, index in data
        .diagnosis.diagnosis_default(class=item.mod)
            .diagnosis__thumb
                if item.value < 30
                    .diagnosis__value.bg_fail=item.value
                        | %
                else if item.value >= 30 & item.value < 60
                    .diagnosis__value.bg_warning=item.value
                        | %
                else
                    .diagnosis__value.bg_success=item.value
                        | %


            .diagnosis__body
                .diagnosis__title=item.title
                .diagnosis__range
                    if item.value < 30
                        .progress.bg_fail
                            .progress__bar
                            .progress__mask(style="transform:translateX(" + item.value + "%)")
                    else if item.value >= 30 & item.value < 60
                        .progress.bg_warning
                            .progress__bar
                            .progress__mask(style="transform:translateX(" + item.value + "%)")
                    else
                        .progress.bg_success
                            .progress__bar
                            .progress__mask(style="transform:translateX(" + item.value + "%)")

            if item.comment
                .diagnosis__comment=item.comment
